package com.srs.stureg.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 学生待办表对象 srs_stu_todo
 * 
 * @author srs
 * @date 2023-08-18
 */
@Data
@TableName("srs_stu_todo")
public class SrsStuTodo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableField("task_code")
    public String taskCode;

    @TableField("ksh")
    public String ksh;

    /** $column.columnComment */

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 学号 */
    @Excel(name = "学号")
    @TableField("stu_no")
    private String stuNo;

    /** 任务id */
    @Excel(name = "任务id")
    @TableField("task_id")
    private Long taskId;

    /** 是否完成 */
    @Excel(name = "是否完成")
    @TableField("status")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStuNo(String stuNo) 
    {
        this.stuNo = stuNo;
    }

    public String getStuNo() 
    {
        return stuNo;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuNo", getStuNo())
            .append("taskId", getTaskId())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .toString();
    }
}
